# MGD77PATH

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO
REFERENCES

## NAME

| mgd77path − Get full pathname for MGD77 files

## SYNOPSIS

| mgd77path NGDC-ids [ −D ] [ −I ignore ] [ −V ]

## DESCRIPTION

| mgd77path returns the full pathname to one or more MGD77 files. The pathname returned for a given cruise may change with time due to reshuffling of disks/subdirectories.

| NGDC-ids

| Can be one or more of five kinds of specifiers: 1) 8-character NGDC IDs, e.g., 01010083, JA010010etc., etc. 2) 2-character <agency> codes which will return all cruises from each agency. 3) 4-character <agency><vessel> codes, which will return all cruises from those vessels. 4) =<list>, where <list> is a table with NGDC IDs, one per line. 5) If nothing is specified we return all cruises in the data base. (See mgd77info −F for agency and vessel codes). The ".mgd77" or ".nc" extensions will automatically be appended, if needed (use −I to ignore certain file types). Cruise files will be looked for first in the current directory and second in all directories listed in $MGD77_HOME/mgd77_paths.txt [If $MGD77_HOME is not set it will default to $GMTHOME/share/mgd77]. NOTE: Under Windows, only (1) and (4) are currently supported.

## OPTIONS

| No space between the option flag and the associated arguments.

| −D |  | Instead of cruise listings, just show the directory paths currently used in the search.
| −I |  | Ignore certain data file formats from consideration. Append a|c|t to ignore MGD77 ASCII, MGD77+ netCDF, or plain tab-separated ASCII table files, respectively. The option may be repreated to ignore more than one format. [Default ignores none].
| −V |  | Report the total number of cruises found.

## EXAMPLES

| To obtain pathnames for cruises 01010008 and 01010007, run mgd77path 01010008 01010007 To obtain pathnames for cruises 01010008 and 01010007, but only if there are MGD77+ version in netCDF, run mgd77path 01010008 01010007 −Ia −It To see the list of active directories where MGD77 files might be stored, run mgd77path −D

## SEE ALSO

| GMT(l) mgd77info(l) mgd77list(l) mgd77manage(l) mgd77track(l)

## REFERENCES

| Wessel, P., and W. H. F. Smith, 2005, The Generic Mapping Tools (GMT) version 4.1 Technical Reference & Cookbook, SOEST/NOAA. Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579. Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329. Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union. Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441. The Marine Geophysical Data Exchange Format - "MGD77", see http://www.ngdc.noaa.gov/mgg/dat/geodas/docs/mgd77.txt